---


#########
# Что доделать:
# Для работы с нативным модулем нужно переделать установку через pip ( нужны
# установленные docker-cy и еще что то )
#########

- name: Create application directory
  file:
    path: "{{ item }}"
    state: directory
    mode: 0755
  with_items:
    - /srv/docker-compose/
    - /srv/docker-compose/nginx/
    - /srv/docker-compose/logs/nginx/
    - /srv/docker-compose/wordpress/
    - /srv/docker-compose/prometheus/
    - /srv/docker-compose/grafana/
    - /srv/docker-compose/grafana/provisioning/

- name: Copy docker-compose file on host
  copy:
    src: docker-compose.yaml
    dest: /srv/docker-compose/docker-compose.yaml
    backup: yes

- name: Copy docker-compose file on host
  copy:
    src: nginx/wordpress.conf
    dest: /srv/docker-compose/nginx/wordpress.conf
    backup: yes

- name: Run docker-compose
  shell: /usr/local/bin/docker-compose up -d 
  args:
    chdir: /srv/docker-compose/
    executable: /bin/bash

# - name: Create and start services
#   docker_compose:
#     project_src: /srv/docker-compose/
#   register: output
